Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.jmx
Class MBeanSupportImpl

    java.lang.Object
      org.apache.tapestry5.internal.jmx.MBeanSupportImpl

All Implemented Interfaces:
  MBeanSupport

    public class MBeanSupportImpl

extends java.lang.Object
implements MBeanSupport

Constructor Summary
`MBeanSupportImpl(org.slf4j.Logger logger)`

Method Summary
`void` | `listenForShutdown(RegistryShutdownHub hub)`
`void` | `register(java.lang.Object object, javax.management.ObjectName objectName)` Registers the specified MBean with the server.
`void` | `register(java.lang.Object bean, java.lang.String name)` Registers the specific MBean with the server.
`void` | `unregister(javax.management.ObjectName objectName)` Unregisters the specified MBean from the server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanSupportImpl

    public MBeanSupportImpl(org.slf4j.Logger logger)

Method Detail

### listenForShutdown

    @PostInjection
    public void listenForShutdown(RegistryShutdownHub hub)

### register

    public void register(java.lang.Object bean,
                         java.lang.String name)

  Description copied from interface: `MBeanSupport`
  Registers the specific MBean with the server.

  Specified by:
    `register` in interface `MBeanSupport`
  Parameters:
    `bean` - the MBean instance
    `name` - string name used to create an `ObjectName`

### register

    public void register(java.lang.Object object,
                         javax.management.ObjectName objectName)

  Description copied from interface: `MBeanSupport`
  Registers the specified MBean with the server.

  Specified by:
    `register` in interface `MBeanSupport`
  Parameters:
    `object` - the MBean instance
    `objectName` - the name for the MBean

### unregister

    public void unregister(javax.management.ObjectName objectName)

  Description copied from interface: `MBeanSupport`
  Unregisters the specified MBean from the server.

  Specified by:
    `unregister` in interface `MBeanSupport`
  Parameters:
    `objectName` - the name for the MBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.